Subject: [lisp] Design discussion -06-(2) -> no probes in ECMs

From: Dino Farinacci <[email-masked]>
Date: Mon, 21 Dec 2009 18:37:22 -0800

A description of the design issue:

(2) Map-Requests should not be sent in ECM with the Probe bit is set.
    These type of Map-Requests are used as RLOC-probes and are sent
    directly to locator addresses in the underlying network.

Since RLOC-probing is intended for an ITR or PTR to know that the  
forward path to an ETR or PETR is working, it sends Map-Request  
messages with the P-bit set to a locator address (the destination  
address in the IP header). Since the message path is direct from ITR/ 
PTR to ETR/PETR the map-resolver and map-server is not involved in the  
path. The spec currently indicates that Encapsulated Control Messages  
(ECMs) are sent from ITR to MR and from MS to ETR.

We want to write language indicating that P-bit Map-Requests are not  
put into ECMs. Any objections to this?

Thanks,
Dino/Darrel